如果遇到npm不能使用或异常情况的解决办法


如果遇到npm不能用的情况

进入node的模块node_models,直接删除npm模块,进入环境变量,删除node的path配置

重新下载最新版本的node, https://nodejs.org/en/download/

解压,配置环境变量即可:
wget https://nodejs.org/dist/v6.11.3/node-v6.11.3-linux-x64.tar.gz

设置淘宝镜像:
npm install -g cnpm --registry=https://registry.npm.taobao.org

安装模块,比如cnpm install -g nodeppt